ApiManagementV1WorkspacesWorkspaceidEnvironmentsEnvidEvent typesEventtypeidVisibility

Set event type visibility in an environment

PUT
/management/v1/workspaces/{workspaceId}/environments/{envId}/event-types/{eventTypeId}/visibility
AuthorizationBearer <token>

Management token (nhm_...)

In: header

Path Parameters

envIdstring
eventTypeIdstring
publishedboolean

Response Body

curl -X PUT "https://loading/management/v1/workspaces/{workspaceId}/environments/string/event-types/string/visibility" \  -H "Content-Type: application/json" \  -d '{    "published": true  }'
{
  "eventTypeId": "string",
  "eventTypeName": "string",
  "published": true
}

{
  "error": {
    "code": "unauthorized",
    "message": "Missing or invalid authorization header"
  }
}

{
  "error": {
    "code": "token_disabled",
    "message": "Management token is disabled"
  }
}

{
  "error": {
    "code": "not_found",
    "message": "Environment not found"
  }
}